Subject: Hard fail on self-dependency

From: Martin Thomson <[email-masked]>
Date: Wed, 11 Jun 2014 09:40:40 -0700

I must have had an episode while writing the priority section up,
allowing for a stream that depends on itself to be permitted.  The
text currently permits a stream that depends on itself to be treated
as having a default priority.

Just to confirm with everyone that this is OK, I'm going to add the following:

  A stream cannot depend on itself.  An endpoint MUST treat this as a
stream error of type PROTOCOL_ERROR.